#ifndef VEKTOR_HEADER
#define VEKTOR_HEADER

#include <fstream>
using namespace std;

template <typename T>
class Vektor{
public:
   Vektor(int dim);
   ~Vektor();
   Vektor& operator=(const Vektor& v2);
   Vektor(const Vektor& v2);

   void InitWert(const T& wert);
   void Print() const;
   T operator[](int index) const {return daten[index];}
   int GetDim() const {return dimension;}
   void Resize(int newDim);

private:
   T* daten; // Zeiger auf die Daten
   int dimension;

   template <typename U>
   friend Vektor<U> operator+(const Vektor<U>& v1, const Vektor<U>& v2);
   template <typename V>
   friend inline ostream& operator<<(ostream& str, const Vektor<V>& v);
};

#include "Vektor.cxx"

#endif
